/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/UnitTests/JUnit4TestClass.java to edit this template
 */
package librarymanagementsystem;

import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;
import java.util.ArrayList;

/**
 * Represents testing for the Book class.
 * @author Pawprint Studios
 */
public class BookTest 
{
    private Book testBook;
    
    public BookTest() 
    {
        ArrayList<Long> holders = new ArrayList<Long>(1);
        testBook = new Book("Title","Author",2021,"Publisher","April 1st",
                1,22222,1,1,121212,2.1,holders);
    }
    
    @BeforeClass
    public static void setUpClass() 
    {
        
    }

    /**
     * Test of getTitle method, of class Book.
     */
    @Test
    public void testGetTitle() 
    {
        String testTitle = "Title";
        
        assertEquals(testTitle, testBook.getTitle());
    }

    /**
     * Test of getAuthor method, of class Book.
     */
    @Test
    public void testGetAuthor() 
    {
        String testAuthor = "Author";
        
        assertEquals(testAuthor, testBook.getAuthor());
    }

    /**
     * Test of getYear method, of class Book.
     */
    @Test
    public void testGetYear() 
    {
        int testYear = 2021;
        
        assertEquals(testYear, testBook.getYear());
    }

    /**
     * Test of getPublisher method, of class Book.
     */
    @Test
    public void testGetPublisher() 
    {
        String testPublisher = "Publisher";
        
        assertEquals(testPublisher, testBook.getPublisher());
    }

    /**
     * Test of getPublisherDate method, of class Book.
     */
    @Test
    public void testGetPublisherDate() 
    {
        String testPublisherDate = "April 1st";
        
        assertEquals(testPublisherDate, testBook.getPublisherDate());
    }
    /**
     * Test of getEdition method, of class Book.
     */
    @Test
    public void testGetEdition() 
    {
        int testEdition = 1;
        
        assertEquals(testEdition, testBook.getEdition());
    }

    /**
     * Test of getIsbn method, of class Book.
     */
    @Test
    public void testGetIsbn() 
    {
        long testIsbn = 1;
        
        assertEquals(testIsbn, testBook.getIsbn());
    }

    /**
     * Test of getNumCopies method, of class Book.
     */
    @Test
    public void testGetNumCopies() 
    {
        int testNumCopies = 1;
        
        assertEquals(testNumCopies, testBook.getNumCopies());
    }

    /**
     * Test of getNumCheckedCopies method, of class Book.
     */
    @Test
    public void testGetNumCheckedCopies() 
    {
        int testNumCheckedCopies = 1;
        
        assertEquals(testNumCheckedCopies, testBook.getNumCheckedCopies());
    }

    /**
     * Test of getIdNum method, of class Book.
     */
    @Test
    public void testGetIdNum()
    {
        long testIdNum = 121212;
        
        assertEquals(testIdNum, testBook.getIdNum());
    }

    /**
     * Test of getPrice method, of class Book.
     */
    @Test
    public void testGetPrice() 
    {
        double testPrice = 2.1;
        
        assertEquals(testPrice, testBook.getPrice(),2.1);
    }
}