package librarymanagementsystem;

import java.io.*;
import java.net.Socket;
import java.net.InetAddress;
import java.util.Scanner;


/**
 * Represents a ServerTask.
* @author James
 */

public class ServerTask implements Runnable
{
    private Socket socket;
    private int clientNumber;

    public ServerTask(int clientNumber, Socket socket)
    {
        this.socket = socket;
        this.clientNumber = clientNumber;
    }

    public void run()
    {
        try 
        {
            InetAddress clientAddress = socket.getInetAddress();
            System.out.println("Client " + clientNumber
                + "'s IP address is "
                + clientAddress.getHostAddress());

            PrintWriter outToClient = new PrintWriter(
                socket.getOutputStream());
            Scanner inFromClient = new Scanner(
                socket.getInputStream());
            System.out.println("Are we setting up da pipes?");

            String tmpMsg = "The ServerTask does only this currently.";
            outToClient.println(tmpMsg);
            outToClient.flush();
            socket.close();

        } 
        catch (IOException e)
        {
            System.err.println(e);
        } 
    }
}

